Activity log for bug #1697339

Date Who What changed Old value New value Message
2017-06-12 02:55:56 forceps bug added bug
2017-06-12 03:02:00 forceps attachment added patch file of proposed fix (if necessary) https://bugs.launchpad.net/ubuntu/+source/nfs-utils/+bug/1697339/+attachment/4894308/+files/gssd_proc.patch
2017-06-12 04:28:50 Ubuntu Foundations Team Bug Bot tags patch
2017-06-12 04:29:00 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2017-06-13 05:06:56 forceps description Description: Ubuntu 16.04.2 LTS Release: 16.04 Package: nfs-common 1:1.2.8-9ubuntu12.1.0 This bug affects all active and proposed versions of nfs-common used by ubuntu (as every version is based on nfs-utils_1.2.8) from trusty to artful. There is a small error in the code for rpc.gssd that causes it to always perform reverse DNS when looking up the server name to pass to GSSAPI. This causes a problem for NFS4 in environments where reverse DNS is correctly configured. This has been confirmed in Debian and a more recent version of nfs-utils that appears to have fixed this has been pushed to sid: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=803710 However, I do not know if that version of nfs-utils will make it to ubuntu soon. Will it? If not, the patch to this appears to be rather straightforward. The error is an '== 1' instead of an '== 0' in two lines of gssd_proc.c that are evaluated when the -D flag to rpc.gssd is not passed (and thus avoid_dns is true) --- utils/gssd/gssd_proc.c 2017-06-11 15:47:35.000000000 -0700 +++ utils/gssd/gssd_proc_patch.c 2017-06-11 15:48:36.152115792 -0700 @@ -181,17 +181,17 @@ if (avoid_dns) { /* * Determine if this is a server name, or an IP address. * If it is an IP address, do the DNS lookup otherwise * skip the DNS lookup. */ servername = 0; - if (strchr(name, '.') && inet_pton(AF_INET, name, buf) == 1) + if (strchr(name, '.') && inet_pton(AF_INET, name, buf) == 0) servername = 1; /* IPv4 */ - else if (strchr(name, ':') && inet_pton(AF_INET6, name, buf) == 1) + else if (strchr(name, ':') && inet_pton(AF_INET6, name, buf) == 0) servername = 1; /* or IPv6 */ if (servername) { return strdup(name); } } Is there any way to get either 1) the updated version of nfs-utils or 2) this patch applied to xenial (and, hopefully, other versions of ubuntu)? Thank you for looking at this! Description: Ubuntu 16.04.2 LTS Release: 16.04 Package: nfs-common 1:1.2.8-9ubuntu12.1.0 This bug affects all active and proposed versions of nfs-common used by ubuntu (as every version is based on nfs-utils_1.2.8) from trusty to artful. There is a small error in the code for rpc.gssd that causes it to always perform reverse DNS when looking up the server name to pass to GSSAPI. This causes a problem for NFS4 in environments where reverse DNS is incorrectly configured or not configurable by the system administrator. This has been confirmed in Debian and a more recent version of nfs-utils that appears to have fixed this has been pushed to sid: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=803710 However, I do not know if that version of nfs-utils will make it to ubuntu soon. Will it? If not, the patch to this appears to be rather straightforward. The error is an '== 1' instead of an '== 0' in two lines of gssd_proc.c that are evaluated when the -D flag to rpc.gssd is not passed (and thus avoid_dns is true) --- utils/gssd/gssd_proc.c 2017-06-11 15:47:35.000000000 -0700 +++ utils/gssd/gssd_proc_patch.c 2017-06-11 15:48:36.152115792 -0700 @@ -181,17 +181,17 @@   if (avoid_dns) {    /*     * Determine if this is a server name, or an IP address.     * If it is an IP address, do the DNS lookup otherwise     * skip the DNS lookup.     */    servername = 0; - if (strchr(name, '.') && inet_pton(AF_INET, name, buf) == 1) + if (strchr(name, '.') && inet_pton(AF_INET, name, buf) == 0)     servername = 1; /* IPv4 */ - else if (strchr(name, ':') && inet_pton(AF_INET6, name, buf) == 1) + else if (strchr(name, ':') && inet_pton(AF_INET6, name, buf) == 0)     servername = 1; /* or IPv6 */    if (servername) {     return strdup(name);    }   } Is there any way to get either 1) the updated version of nfs-utils or 2) this patch applied to xenial (and, hopefully, other versions of ubuntu)? Thank you for looking at this!
2017-07-21 16:29:14 Brian Murray bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=803710
2017-07-21 16:29:14 Brian Murray bug task added nfs-utils (Debian)
2017-07-21 16:29:54 Brian Murray tags patch patch xenial
2017-07-21 20:58:00 Bug Watch Updater nfs-utils (Debian): status Unknown Fix Released
2018-01-15 02:39:06 Launchpad Janitor nfs-utils (Ubuntu): status New Confirmed
2018-07-06 14:20:39 Brian Murray bug added subscriber Brian Murray
2018-11-02 18:29:52 TJ bug added subscriber TJ
2018-11-05 11:04:51 Andreas Hasenack bug added subscriber Ubuntu Server
2018-11-05 11:04:56 Andreas Hasenack tags patch xenial patch server-next xenial
2018-11-05 11:05:29 Andreas Hasenack nfs-utils (Ubuntu): assignee Andreas Hasenack (ahasenack)
2019-03-21 18:46:58 Andreas Hasenack nominated for series Ubuntu Xenial
2019-03-21 18:46:58 Andreas Hasenack bug task added nfs-utils (Ubuntu Xenial)
2019-03-21 18:47:05 Andreas Hasenack nfs-utils (Ubuntu): assignee Andreas Hasenack (ahasenack)
2019-03-21 18:47:08 Andreas Hasenack nfs-utils (Ubuntu): status Confirmed Fix Released
2019-03-21 21:04:47 Andreas Hasenack bug added subscriber Andreas Hasenack